%define	__mkfontdir	umask 133;/usr/X11R6/bin/mkfontdir

Summary: Kaname-cho font, revised version
Name: knm_new
Version: 1.1
Release: 16
License: GPL
Group: User Interface/X
Source: http://www.din.or.jp/~storm/fonts/%{name}.tar.gz
Source1: ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/kaname_k12_bdf.tar.gz
BuildArch: noarch
Obsoletes: kaname.f12
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: xorg-x11-font-utils
Prereq: /usr/X11R6/bin/mkfontdir

%description
Kaname-cho font, revised version

%prep
%setup -q -n %{name}-%{version} -c -a 1

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -fr ${RPM_BUILD_ROOT}

FONTSDIR=${RPM_BUILD_ROOT}%{_datadir}/fonts/ja/misc
mkdir -p ${FONTSDIR}
bdftopcf       knmhn12x.bdf		>${FONTSDIR}/knmhn12x.pcf
bdftopcf fonts/kaname-latin1.bdf	>${FONTSDIR}/kaname-latin1.pcf
bdftopcf fonts/knm12p.bdf		>${FONTSDIR}/knm12p.pcf
bdftopcf fonts/knm12pb.bdf		>${FONTSDIR}/knm12pb.pcf
bdftopcf fonts/knmzn12x.bdf		>${FONTSDIR}/knmzn12x.pcf
bdftopcf fonts/knmzn12xb.bdf		>${FONTSDIR}/knmzn12xb.pcf
gzip -9 ${FONTSDIR}/*.pcf
chmod 0444 ${FONTSDIR}/*.pcf.gz

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -fr ${RPM_BUILD_ROOT}

%post
{
  %__mkfontdir %{_datadir}/fonts/ja/misc
} &> /dev/null || :

%postun
{
  if [ "$1" = "0" ]; then
    %__mkfontdir %{_datadir}/fonts/ja/misc
  fi
} &> /dev/null || :

%files
%defattr(-,root,root)
%doc doc.orig readme.kaname_bdf
%doc fonts/{changes,gtkrc.sample,readme}
%{_datadir}/fonts/ja/misc/*

%changelog
* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 1.1-16
- added BuildRequires: xorg-x11-font-utils (Maxim Dzumanenko, #134665)

* Mon Sep 27 2004 Akira TAGOH <tagoh@redhat.com> - 1.1-15
- rebuilt

* Mon Apr 05 2004 Akira TAGOH <tagoh@redhat.com> 1.1-14
- moved the directory to /usr/share/fonts/ja/misc

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 1.1-12
- rebuilt

* Thu Aug 07 2003 Akira TAGOH <tagoh@redhat.com> 1.1-11
- rebuilt

* Wed Aug 06 2003 Akira TAGOH <tagoh@redhat.com> 1.1-10.1
- removed URL line so that the upstream is missing unfortunately
  right now. (#82351)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jul 17 2001 Karsten Hopp <karsten@redhat.de>
- Copyright -> License
- remove japanese descriptions from spec file
  They cause coredumps on S390 and the correct place for
  them is the specspo package.

* Sun Jan 21 2001 Matt Wilson <msw@redhat.com>
- add Prereq: /usr/X11R6/bin/mkfontdir

* Fri Sep  1 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt with rpm-4.0

* Fri Mar 24 2000 Chris Ding <cding@redhat.com>
- stopped executing xset

* Sat Mar 14 2000 Chris Ding <cding@redhat.com>
- rebuilt for 6.2J

* Tue Feb 01 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- updated to revised version of kaname.f12
- changed Name: kaname.f12 -> knm_new
- modified scripts at %post and %postun

* Wed Jan 05 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- changed Group: Extensions/Japanese -> User Interface/X
- added script for font path at %post and %postun

* Tue Aug 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386

* Sat Nov 01 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
